path: /build/build/shadowman-dev-util-2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/shadowman -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/shadowman
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/shadowman && luet-portage --dir /pkgdir/shadowman
    dev-util/shadowman && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: shadowman
    version: "2"
    category: dev-util
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Unified compiler shadow link directory updater
    uri:
    - https://github.com/mgorny/shadowman
    license: GPL-2
    buildtimestamp: 2023-09-29 21:24:34.51214605 +0000 UTC m=+71.034286649
    labels:
      DEPEND: app-admin/eselect
      RDEPEND: app-admin/eselect
      emerge.packages: dev-util/shadowman
      kit: dev-kit
      original.package.name: dev-util/shadowman
      original.package.slot: "0"
      original.package.version: "2"
    treedir: /build/packages
  package_dir: /pkgdir/shadowman
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 914915b947a9751265393bbcb49925e2cb13b73fcea6ca74b7229384ecdb0ce7
compressiontype: zstd
files:
- usr/share/eselect/modules/compiler-shadow.eselect
- usr/share/shadowman/compilers/clang
- usr/share/shadowman/compilers/gcc
- usr/share/shadowman/compilers/posix
- usr/share/shadowman/tools/.keep_dev-util_shadowman-0
- var/db/pkg/dev-util/shadowman-2/BUILD_TIME
- var/db/pkg/dev-util/shadowman-2/CATEGORY
- var/db/pkg/dev-util/shadowman-2/CBUILD
- var/db/pkg/dev-util/shadowman-2/CFLAGS
- var/db/pkg/dev-util/shadowman-2/CHOST
- var/db/pkg/dev-util/shadowman-2/CONTENTS
- var/db/pkg/dev-util/shadowman-2/COUNTER
- var/db/pkg/dev-util/shadowman-2/CXXFLAGS
- var/db/pkg/dev-util/shadowman-2/DEFINED_PHASES
- var/db/pkg/dev-util/shadowman-2/DEPEND
- var/db/pkg/dev-util/shadowman-2/DESCRIPTION
- var/db/pkg/dev-util/shadowman-2/EAPI
- var/db/pkg/dev-util/shadowman-2/FEATURES
- var/db/pkg/dev-util/shadowman-2/HOMEPAGE
- var/db/pkg/dev-util/shadowman-2/IUSE
- var/db/pkg/dev-util/shadowman-2/IUSE_EFFECTIVE
- var/db/pkg/dev-util/shadowman-2/KEYWORDS
- var/db/pkg/dev-util/shadowman-2/LDFLAGS
- var/db/pkg/dev-util/shadowman-2/LICENSE
- var/db/pkg/dev-util/shadowman-2/PF
- var/db/pkg/dev-util/shadowman-2/RDEPEND
- var/db/pkg/dev-util/shadowman-2/SIZE
- var/db/pkg/dev-util/shadowman-2/SLOT
- var/db/pkg/dev-util/shadowman-2/USE
- var/db/pkg/dev-util/shadowman-2/environment.bz2
- var/db/pkg/dev-util/shadowman-2/repository
- var/db/pkg/dev-util/shadowman-2/shadowman-2.ebuild
package_cacheimage: ""
runtime:
  name: shadowman
  version: "2"
  category: dev-util
  requires:
  - name: eselect
    version: '>=0'
    category: app-admin
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Unified compiler shadow link directory updater
  uri:
  - https://github.com/mgorny/shadowman
  license: GPL-2
  labels:
    DEPEND: app-admin/eselect
    RDEPEND: app-admin/eselect
    emerge.packages: dev-util/shadowman
    kit: dev-kit
    original.package.name: dev-util/shadowman
    original.package.slot: "0"
    original.package.version: "2"
